GSET_TEXT_ALIGN(3NCARG)

NAME
gset_text_align (Set text alignment) - sets the text alignment.

SYNOPSIS
#include <ncarg/gks.h>

void gset_text_align(const Gtext_align *text_align);

DESCRIPTION

text_align.hor
    (Input) Determines the horizontal alignment of the text to be drawn. Options are:

    GHOR_NORM
        Normal (default)

    GHOR_LEFT
        Left

    GHOR_CTR
        Center

    GHOR_RIGHT
        Right

text_align.vert
    (Input) Determines the vertical alignment of the text to be drawn. Options are:

    GVERT_NORM
        Normal (default)

    GVERT_TOP
        Top

    GVERT_CAP
        Cap

    GVERT_HALF
        Half

    GVERT_BASE
        Base

    GVERT_BOTTOM
        Bottom

USAGE
Text alignment is used to position the text extent rectangle. The text extent rectangle rotates about the point determined by the horizontal and vertical text alignment settings (text_align.hor, text_align.vert).

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gtext(3NCARG), gset_text_path(3NCARG), gset_text_font_prec(3NCARG), gset_char_ht(3NCARG), gset_char_space(3NCARG), gset_char_up_vec(3NCARG), gset_char_expan(3NCARG), gset_colr_rep(3NCARG), gset_text_colr_ind(3NCARG), ginq_text_path(3NCARG), ginq_text_align(3NCARG), ginq_text_font_prec(3NCARG), ginq_char_ht(3NCARG), ginq_char_space(3NCARG), ginq_char_up_vec(3NCARG), ginq_char_expan(3NCARG), plotchar(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.